---
- hosts: db_slave
  become: true
  tasks:
    - file:
        path: /data/mysql
        state: directory
        mode: '0777'
    - copy:
        src: ./files/mysql/slave.cnf
        dest: /data/mysql/slave.cnf
        mode: '0444'
    - template:
        src: ./templates/mysql/slave.sql.j2
        dest: /data/mysql/slave.sql
        mode: '0777'

    - docker_compose:
        pull: yes
        project_name: socialnetwork
        definition:
          version: '3.3'
          services:
            db:
              image: percona:8.0
              restart: always
              environment:
                MYSQL_ROOT_PASSWORD: '{{ database.password }}'
              ports:
                - '3306:3306'
              volumes:
                - socialnetworkdb:/var/lib/mysql
                - /data/mysql/slave.cnf:/etc/my.cnf.d/repl.cnf
                - /data/mysql/slave.sql:/docker-entrypoint-initdb.d/start.sql
          volumes:
            socialnetworkdb:
